﻿using Lab3.Database.DTO;

namespace Lab3.Database.Repository.Interfaces
{
    public interface IStudentRepository
    {
        Task<List<StudentDTO>> GetAsync(int limit = 10000, int offset = 0);

        Task<StudentDTO?> GetAsync(Guid id);

        Task<StudentDTO?> UpdateAsync(StudentDTO studentDTO);
        
        Task<StudentDTO?> DeleteAsync(Guid id);

        Task<StudentDTO> CreateAsync(StudentDTO studentDTO);
    }
}
